## chromium-browser 47.0.2526.80

=== debian/changelog ===
chromium-browser (47.0.2526.80-1~deb8u1) jessie-security; urgency=medium

  * New upstream stable release:
    - Multiple vulnerabilities fixed in libv8 4.7.80.23.
    - CVE-2015-6788: Type confusion in extensions. Credit to anonymous.
    - CVE-2015-6789: Use-after-free in Blink. Credit to cloudfuzzer.
    - CVE-2015-6790: Escaping issue in saved pages. Credit to Inti De
      Ceukelaire.
    - CVE-2015-6791: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 13 Dec 2015 04:30:55 +0000

chromium-browser (47.0.2526.73-1~deb8u1) jessie-security; urgency=medium

  * New upstream stable release:
    - CVE-2015-1302: Information leak in PDF viewer. Credit to Rob Wu.
    - CVE-2015-6765: Use-after-free in AppCache. Credit to anonymous.
    - CVE-2015-6766: Use-after-free in AppCache. Credit to anonymous.
    - CVE-2015-6767: Use-after-free in AppCache. Credit to anonymous.
    - CVE-2015-6768: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-6769: Cross-origin bypass in core. Credit to Mariusz Mlynski.
    - CVE-2015-6770: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-6771: Out of bounds access in v8. Credit to anonymous.
    - CVE-2015-6772: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-6764: Out of bounds access in v8. Credit to Guang Gong.
    - CVE-2015-6773: Out of bounds access in Skia. Credit to cloudfuzzer.
    - CVE-2015-6774: Use-after-free in Extensions. Credit to anonymous.
    - CVE-2015-6775: Type confusion in PDFium. Credit to Atte Kettunen.
    - CVE-2015-6776: Out of bounds access in PDFium. Credit to Hanno Böck.
    - CVE-2015-6777: Use-after-free in DOM. Credit to Long Liu.
    - CVE-2015-6778: Out of bounds access in PDFium. Credit to Karl Skomski.
    - CVE-2015-6779: Scheme bypass in PDFium. Credit to Til Jasper Ullrich.
    - CVE-2015-6780: Use-after-free in Infobars. Credit to Khalil Zhani.
    - CVE-2015-6781: Integer overflow in Sfntly. Credit to miaubiz.
    - CVE-2015-6782: Content spoofing in Omnibox. Credit to Luan Herrera.
    - CVE-2015-6784: Escaping issue in saved pages. Credit to Inti De
      Ceukelaire.
    - CVE-2015-6785: Wildcard matching issue in CSP. Credit to Michael
      Ficarra.
    - CVE-2015-6786: Scheme bypass in CSP. Credit to Michael Ficarra.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 08 Dec 2015 02:09:49 +0000

chromium-browser (46.0.2490.71-1~deb8u1) jessie-security; urgency=medium

  * New upstream stable release:
    - CVE-2015-1303: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-1304: Cross-origin bypass in V8. Credit to Mariusz Mlynski.
    - CVE-2015-6755: Cross-origin bypass in Blink. Credit to Mariusz Mlynski.
    - CVE-2015-6756: Use-after-free in PDFium. Credit to anonymous.
    - CVE-2015-6757: Use-after-free in ServiceWorker. Credit to Collin Payne.
    - CVE-2015-6758: Bad-cast in PDFium. Credit to Atte Kettunen of OUSPG.
    - CVE-2015-6759: Information leakage in LocalStorage. Credit to Muneaki
      Nishimura.
    - CVE-2015-6760: Improper error handling in libANGLE. Credit to Ronald
      Crane, an independent security researcher.
    - CVE-2015-6761: Memory corruption in FFMpeg. Credit to Aki Helin and
      Khalil Zhani.
    - CVE-2015-6762: CORS bypass via CSS fonts. Credit to Muneaki Nishimura.
    - CVE-2015-6763: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in V8 fixed at the tip of the 4.6 branch
      (currently 4.6.85.23).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 17 Oct 2015 08:30:32 +0000

chromium-browser (45.0.2454.85-1~deb8u1) jessie-security; urgency=high

  * New upstream stable release:
    - CVE-2015-1291: Cross-origin bypass in DOM. Credit to anonymous.
    - CVE-2015-1292: Cross-origin bypass in ServiceWorker. Credit to Mariusz
      Mlynski.
    - CVE-2015-1293: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-1294: Use-after-free in Skia. Credit to cloudfuzzer.
    - CVE-2015-1295: Use-after-free in Printing. Credit to anonymous.
    - CVE-2015-1296: Character spoofing in omnibox. Credit to zcorpan.
    - CVE-2015-1297: Permission scoping error in WebRequest. Credit to
      Alexander Kashev.
    - CVE-2015-1298: URL validation error in extensions. Credit to Rob Wu.
    - CVE-2015-1299: Use-after-free in Blink. Credit to taro.suzuki.dev.
    - CVE-2015-1300: Information leak in Blink. Credit to cgvwzq.
    - CVE-2015-1301: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in the libv8 library (updated to 4.5.103.29).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 03 Sep 2015 02:02:29 +0000

chromium-browser (44.0.2403.89-1~deb8u1) jessie-security; urgency=high

  * New upstream security release:
    - CVE-2015-1266: Scheme validation error in WebUI. Credit to anonymous.
    - CVE-2015-1268: Cross-origin bypass in Blink. Credit to Mariusz Mlynski.
    - CVE-2015-1267: Cross-origin bypass in Blink. Credit to anonymous.
    - CVE-2015-1269: Normalization error in HSTS/HPKP preload list. Credit to
      Mike Ruddy.
    - CVE-2015-1270: Uninitialized memory read in ICU. Credit to Atte Kettunen.
    - CVE-2015-1271: Heap-buffer-overflow in pdfium. Credit to cloudfuzzer.
    - CVE-2015-1272: Use-after-free related to unexpected GPU process
      termination. Credit to Chamal de Silva.
    - CVE-2015-1273: Heap-buffer-overflow in pdfium. Credit to makosoft.
    - CVE-2015-1274: Settings allowed executable files to run immediately after
      download. Credit to  andrewm.bpi.
    - CVE-2015-1275: UXSS in Chrome for Android. Credit to WangTao(neobyte).
    - CVE-2015-1276: Use-after-free in IndexedDB. Credit to Collin Payne.
    - CVE-2015-1277: Use-after-free in accessibility. Credit to SkyLined.
    - CVE-2015-1278: URL spoofing using pdf files. Credit to Chamal de Silva.

