## chromium-browser 47.0.2526.106

=== debian/changelog ===
chromium-browser (47.0.2526.106-0ubuntu1.1221) xenial; urgency=medium

  * Upstream release 47.0.2526.106:
    - CVE-2015-6792: Fixes from internal audits and fuzzing.
  * Upstream release 47.0.2526.80:
    - CVE-2015-6788: Type confusion in extensions.
    - CVE-2015-6789: Use-after-free in Blink.
    - CVE-2015-6790: Escaping issue in saved pages.
    - CVE-2015-6791: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in V8 fixed at the tip of the 4.7 branch
      (currently 4.7.80.23).
  * debian/rules: Don't use bundled binutils. Remove execute bits on programs
    so we can be sure they aren't run.

 -- Chad MILLER <chad.miller@canonical.com>  Tue, 15 Dec 2015 19:33:00 -0500
