## chromium-browser 48.0.2564.82

=== debian/changelog ===
chromium-browser (48.0.2564.82-0ubuntu0.15.04.1.1193) vivid-security; urgency=medium

  * Upstream release 48.0.2564.82:
    - CVE-2016-1612: Bad cast in V8.
    - CVE-2016-1613: Use-after-free in PDFium.
    - CVE-2016-1614: Information leak in Blink.
    - CVE-2016-1615: Origin confusion in Omnibox.
    - CVE-2016-1616: URL Spoofing.
    - CVE-2016-1617: History sniffing with HSTS and CSP. 
    - CVE-2016-1618: Weak random number generator in Blink. 
    - CVE-2016-1619: Out-of-bounds read in PDFium.
    - CVE-2016-1620: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in V8 fixed at the tip of the 4.8 branch
      (currently 4.8.271.17).

 -- Chad MILLER <chad.miller@canonical.com>  Thu, 21 Jan 2016 08:39:10 -0500
