=== debian/rules ===
--- 
+++ 
@@ -97,8 +97,8 @@
 GYP_DEFINES += enable_widevine=1 enable_pepper_cdms=1
 
 # Prefer gcc/g++ over clang until clang is better tested in Ubuntu.
-GYP_DEFINES += clang=1
-GYP_DEFINES += clang_use_chrome_plugins=0
+GYP_DEFINES += clang=0
+#GYP_DEFINES += clang_use_chrome_plugins=0
 
 #GYP_DEFINES += use_ozone=1 ozone_auto_platforms=0 ozone_platform_mir=1 ozone_platform_wayland=0
 #GYP_DEFINES += use_ozone=1
