## chromium-browser 48.0.2564.116

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,8 @@
 
 WANT_DEBUG       ?= 0
 
-WANT_SHARED_LIBS ?= 0
+COMPONENT_SHARED_LIB_BUILD := 1
+WANT_SHARED_LIBS ?= 1
 
 # Set up Google API keys, see http://www.chromium.org/developers/how-tos/api-keys .
 # Note: these are for Ubuntu use ONLY. For your own distribution,
@@ -97,8 +98,8 @@
 GYP_DEFINES += enable_widevine=1 enable_pepper_cdms=1
 
 # Prefer gcc/g++ over clang until clang is better tested in Ubuntu.
-GYP_DEFINES += clang=0
-#GYP_DEFINES += clang_use_chrome_plugins=0
+GYP_DEFINES += clang=1
+GYP_DEFINES += clang_use_chrome_plugins=0
 
 #GYP_DEFINES += use_ozone=1 ozone_auto_platforms=0 ozone_platform_mir=1 ozone_platform_wayland=0
 #GYP_DEFINES += use_ozone=1
@@ -147,9 +148,6 @@
 GYP_DEFINES += disable_sse2=1
 endif
 
-# Do this for every architecture. More than 4GB of memory is too much to expect
-# of builders.
-COMPONENT_SHARED_LIB_BUILD := 1
 
 ifeq (1,$(COMPONENT_SHARED_LIB_BUILD))
 BROWSER_GYP_DEFINES += component=shared_library
