## chromium-browser 49.0.2623.108

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,12 @@
 	python,
 	bison,
 	gperf,
+	clang (>= 3.5),
 	libpulse-dev,
 	libcups2-dev | libcupsys2-dev,
 	libasound2-dev,
 	libnss3-dev,
+	mesa-common-dev,
 	libgles2-mesa-dev [armel armhf],
 	libpci-dev,
 	libxtst-dev,
@@ -36,6 +38,7 @@
 	libxkbcommon-dev,
 	libssl-dev,
 	libpam0g-dev,
+	libffi-dev,
 	chrpath,
 	xdg-utils
 Standards-Version: 3.9.6
