## chromium-browser 50.0.2661.94

=== debian/changelog ===
chromium-browser (50.0.2661.94-1~deb8u1) jessie-security; urgency=medium

  * New upstream security release:
    - CVE-2016-1660: Out-of-bounds write in Blink. Credit to Atte Kettunen.
    - CVE-2016-1661: Memory corruption in cross-process frames. Credit to
      Wadih Matar.
    - CVE-2016-1662: Use-after-free in extensions. Credit to Rob Wu.
    - CVE-2016-1663: Use-after-free in Blink’s V8 bindings. Credit to
      anonymous.
    - CVE-2016-1664: Address bar spoofing. Credit to Wadih Matar.
    - CVE-2016-1665: Information leak in V8. Credit to gksgudtjr456.
    - CVE-2016-1666: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 01 May 2016 23:38:31 +0000

chromium-browser (50.0.2661.75-1~deb8u1) jessie-security; urgency=medium

  * New upstream stable release:
    - CVE-2016-1652: Universal XSS in extension bindings. Credit to anonymous.
    - CVE-2016-1653: Out-of-bounds write in V8. Credit to Choongwoo Han.
    - CVE-2016-1651: Out-of-bounds read in Pdfium JPEG2000 decoding.
    - CVE-2016-1654: Uninitialized memory read in media.  Credit to Atte
      Kettunen.
    - CVE-2016-1655: Use-after-free related to extensions.  Credit to Rob Wu.
    - CVE-2016-1657: Address bar spoofing. Credit to Luan Herrera.
    - CVE-2016-1658: Potential leak of sensitive information to malicious
      extensions. Credit to Antonio Sanso.
    - CVE-2015-1659: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 14 Apr 2016 23:47:48 +0000

chromium-browser (49.0.2623.108-1~deb8u1) jessie-security; urgency=medium

  * New upstream security release:
    - CVE-2016-1646: Out-of-bounds read in V8. Credit to Wen Xu.
    - CVE-2016-1647: Use-after-free in Navigation. Credit to anonymous.
    - CVE-2016-1648: Use-after-free in Extensions. Credit to anonymous.
    - CVE-2016-1649: Buffer overflow in libANGLE. Credit to lokihardt.
    - CVE-2016-1650: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 25 Mar 2016 22:37:28 +0000

chromium-browser (49.0.2623.87-1~deb8u1) jessie-security; urgency=medium

  * New upstream security release:
    - CVE-2016-1643: Type confusion in Blink. Credit to cloudfuzzer.
    - CVE-2016-1644: Use-after-free in Blink. Credit to Atte Kettunen.
    - CVE-2016-1645: Out-of-bounds write in PDFium.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 09 Mar 2016 20:47:44 +0000

chromium-browser (49.0.2623.75-1~deb8u1) jessie-security; urgency=medium

  * New upstream stable release:
    - CVE-2016-1630: Same-origin bypass in Blink. Credit to Mariusz Mlynski.
    - CVE-2016-1631: Same-origin bypass in Pepper Plugin. Credit to Mariusz
      Mlynski.
    - CVE-2016-1632: Bad cast in Extensions. Credit to anonymous.
    - CVE-2016-1633: Use-after-free in Blink. Credit to cloudfuzzer.
    - CVE-2016-1634: Use-after-free in Blink. Credit to cloudfuzzer.
    - CVE-2016-1635: Use-after-free in Blink. Credit to Rob Wu.
    - CVE-2016-1636: SRI Validation Bypass. Credit to ryan@cyph.com.
    - CVE-2015-8126: Out-of-bounds access in libpng. Credit to joerg.bornemann.
    - CVE-2016-1637: Information Leak in Skia. Credit to Keve Nagy.
    - CVE-2016-1638: WebAPI Bypass. Credit to Rob Wu.
    - CVE-2016-1639: Use-after-free in WebRTC. Credit to Khalil Zhani.
    - CVE-2016-1640: Origin confusion in Extensions UI. Credit to Luan Herrera.
    - CVE-2016-1641: Use-after-free in Favicon. Credit to Atte Kettunen.
    - CVE-2016-1642: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in libv8 (version 4.9.385.26).
  * Add libffi-dev build dependency.
  * Set use_sysroot=0 to continue using system libraries.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Mar 2016 01:05:51 +0000

chromium-browser (48.0.2564.116-1~deb8u1) jessie-security; urgency=medium

  * New stable security release:
    - CVE-2016-1622: Same-origin bypass in Extensions. Credit to anonymous.
    - CVE-2016-1623: Same-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2016-1624: Buffer overflow in Brotli. Credit to lukezli.
    - CVE-2016-1625: Navigation bypass in Chrome Instant. Credit to Jann Horn.
    - CVE-2016-1626: Out-of-bounds read in PDFium. Credit to anonymous.
    - CVE-2016-1627: Various fixes from internal audits, fuzzing and other
      initiatives.
    - CVE-2016-1628: Out-of-bounds read in PDFium. Credit to anonymous.
    - CVE-2016-1629: Same-origin bypass in Blink and Sandbox escape in Chrome.
      Credit to anonymous.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 21 Feb 2016 04:34:40 +0000

chromium-browser (48.0.2564.82-1~deb8u1) jessie-security; urgency=medium

  * New upstream stable release:
    - CVE-2016-1612: Bad cast in V8. Credit to cloudfuzzer.
    - CVE-2016-1613: Use-after-free in PDFium. Credit to anonymous.
    - CVE-2016-1614: Information leak in Blink. Credit to Christoph Diehl.
    - CVE-2016-1615: Origin confusion in Omnibox. Credit to Ron Masas.
    - CVE-2016-1616: URL Spoofing. Credit to Luan Herrera.
    - CVE-2016-1617: History sniffing with HSTS and CSP. Credit to jenuis.
    - CVE-2016-1618: Weak random number generator in Blink. Credit to Aaron
      Toponce.
    - CVE-2016-1619: Out-of-bounds read in PDFium. Credit to Keve Nagy.
    - CVE-2016-1620: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in V8 fixed at the tip of the 4.8 branch
      (currently 4.8.271.17).
  * Use ld.gold to avoid memory exhaustion while linking (closes: #812569).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 21 Jan 2016 23:36:50 +0000
