=== debian/control ===
Source: chromium-browser
Section: web
Priority: optional
Maintainer: Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>
Uploaders:
 Giuseppe Iuculano <iuculano@debian.org>,
 Michael Gilbert <mgilbert@debian.org>,
Vcs-Git: git://anonscm.debian.org/pkg-chromium/pkg-chromium.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-chromium/pkg-chromium.git
Homepage: http://www.chromium.org/Home
Build-Depends:
 clang (>= 3.5),
 debhelper (>= 9),
 gyp,
 python3,
 pkg-config,
 ninja-build,
 python-jinja2,
 ca-certificates,
 wget,
 flex,
 yasm,
 xvfb,
 wdiff,
 gperf,
 bison,
 valgrind,
 xz-utils,
 x11-apps,
 xfonts-base,
 libglewmx-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libegl1-mesa-dev,
 libgles2-mesa-dev,
 mesa-common-dev,
 libgtk2.0-dev,
 libglib2.0-dev,
 libxt-dev,
 libre2-dev,
 libpng-dev,
 libxss-dev,
 libelf-dev,
 libvpx-dev,
 libssl-dev,
 libpci-dev,
 libcap-dev,
 libdrm-dev,
 libusb-dev,
 libicu-dev,
 libffi-dev,
 libkrb5-dev,
 libexif-dev,
 libudev-dev,
 libopus-dev,
 libwebp-dev,
 libxtst-dev,
 libsrtp-dev,
 libjpeg-dev,
 libxml2-dev,
 libxslt1-dev,
 libpulse-dev,
 libspeex-dev,
 libpam0g-dev,
 libsnappy-dev,
 libgconf2-dev,
 libasound2-dev,
 libjsoncpp-dev,
 libspeechd-dev,
 libminizip-dev,
 libhunspell-dev,
 libmodpbase64-dev,
 libgnome-keyring-dev,
 libnss3-dev (>= 3.12.3),
 libnspr4-dev (>= 2:4.9),
 libcups2-dev (>= 1.5.0),
 libevent-dev (>= 1.4.13),
 libjs-jquery,
 libjs-excanvas,
 libjs-jquery-flot,
 libgcrypt20-dev,
 fonts-ipafont-gothic,
 fonts-ipafont-mincho,
Built-Using:
 libjs-jquery,
 libjs-jquery-flot,
Standards-Version: 3.9.6

Package: chromium
Architecture: i386 amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 x11-utils,
 xdg-utils,
Suggests:
 chromium-l10n,
 chromium-inspector,
Provides:
 www-browser,
 gnome-www-browser,
Description: web browser
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the web browser component.

Package: chromium-dbg
Architecture: i386 amd64
Section: debug
Priority: extra
Depends:
 ${misc:Depends},
 chromium (= ${binary:Version}),
Description: web browser - debugging symbols
 A web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the debugging symbols.

Package: chromium-l10n
Architecture: all
Section: localization
Depends:
 ${misc:Depends},
 chromium (>= ${source:Version}),
Description: web browser - language packs
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains language packages for:
 am, ar, bg, bn, ca, cs, da, de, el, en-GB, es-419, es, et, fi, fil, fr, gu, he,
 hi, hr, hu, id, it, ja, kn, ko, lt, lv, ml, mr, nb, nl, pl, pt-BR, pt-PT,
 ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW

Package: chromium-inspector
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 chromium,
Replaces:
 chromium (<< 31.0.1650.48-1),
Description: web browser - page inspection support
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the 'inspector', which enables web developers to inspect
 elements of a web page at runtime (HTML, JavaScript, CSS, etc.).

Package: chromedriver
Architecture: i386 amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 chromium (= ${binary:Version}),
Description: web browser - WebDriver support
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a bridge between the browser component and the selenium
 automatic webdriver.
 .
 See http://code.google.com/p/selenium/wiki/ChromeDriver for details.
